Loading...
Searching...
No Matches
persistent_table< A >

## Detailed Description

template<class A>
class rheolef::persistent_table< A >

see the `persistent_table` page for the full documentation

Definition at line 84 of file persistent_table.h.

## Static Public Member Functions

static A | load (const std::string &name)
static void | unload (const std::string &name)
static bool | verbose ()
static void | set_verbose (bool v)

## Protected Types

using | loaded_map_type = std::unordered_map< std::string, void * >

## Static Protected Member Functions

static loaded_map_type & | get_loaded_map ()

## Static Protected Attributes

static loaded_map_type | _loaded_map
static bool | _verbose = false

## Member Typedef Documentation

## loaded_map_type

template<class A >

using loaded_map_type = std::unordered_map<std::string,void*>

protected

Definition at line 91 of file persistent_table.h.

## Member Function Documentation

## load()

template<class A >

A load | ( | const std::string & | name | ) |

static

Definition at line 101 of file persistent_table.h.

## unload()

template<class A >

void unload | ( | const std::string & | name | ) |

static

Definition at line 121 of file persistent_table.h.

## verbose()

template<class A >

static bool verbose | ( |  | ) |

static

Definition at line 88 of file persistent_table.h.

## set_verbose()

template<class A >

static void set_verbose | ( | bool | v | ) |

static

Definition at line 89 of file persistent_table.h.

## get_loaded_map()

template<class A >

static loaded_map_type & get_loaded_map | ( |  | ) |

static protected

Definition at line 92 of file persistent_table.h.

## Member Data Documentation

## _loaded_map

template<class A >

persistent_table< A >::loaded_map_type _loaded_map

static protected

Definition at line 94 of file persistent_table.h.

## _verbose

template<class A >

bool _verbose = false

static protected

Definition at line 95 of file persistent_table.h.

The documentation for this class was generated from the following file:

- /build/rheolef-Hrneba/rheolef-7.2/util/lib/persistent_table.h